import 'package:json_annotation/json_annotation.dart';
part 'AppealInfo.g.dart';

@JsonSerializable()
class AppealInfo {
  AppealInfo.empty();
  AppealInfo(this.id, this.delFlag, this.userId, this.playerInfoId, this.competitionId, this.houseId, this.pic, this.status, this.points, this.createTime);

  int id;
  String delFlag;
  int userId;
  int playerInfoId;
  int competitionId;
  int houseId;
  String pic;
  int status;
  int points;
  int createTime;

  factory AppealInfo.fromJson(Map<String, dynamic> json) => _$AppealInfoFromJson(json);

  Map<String, dynamic> toJson() => _$AppealInfoToJson(this);
  @override
  String toString() {
    return _$AppealInfoToJson(this).toString();
  }
}
